Skip to main content
GET
Get Customer

Authorizations

Authorization
string
header
required

OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.

Path Parameters

id
integer
required

A unique integer value identifying this check customer.

Response

200 - application/json

Read-only serializer for Customer with computed fields.

id
integer
required
read-only
external_id
string | null
required
read-only

ID from the source system, for lookups.

full_name
string
required
read-only
customer_type
enum<string> | null
required
read-only
  • INDIVIDUAL - Individual
  • COMPANY - Company
Available options:
INDIVIDUAL,
COMPANY,
null
input_details
object | null
required
read-only

Flexible JSON for inputting customer fields such as first_name, address, etc. Any format accepted.

sync_platforms
object | null
required
read-only

External platform references. List of dicts, e.g. [{"domain": "bofi--dev.sandbox.my.salesforce.com", "id": "500WA..."}]

delete_after
integer
required
read-only

Days until deletion. -1 means never delete.

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only